using UnityEngine;
using System.Collections;
using System.Collections.Generic;

[ExecuteInEditMode]
public class UnLevel : MonoBehaviour {
	public string levelPath = "";
	public float levelScale = 1f/64f;
	public bool generateLightmapUVs = true;
	[Range(4,64)]
	public float lightmapSeamFix = 35;
	public bool noFakeBackdropPolys = true;

	public string texturesPath = "Level textures";
	public string soundsPath = "Level sounds";

	// TODO maybe: more variations (e.g. non-unlit translucent)
	public Material materialNormal;
	public Material materialMasked;
	public Material materialModulated;
	public Material materialTranslucent;
	public Material materialUnlit;
}